Subject: RE: Comments on zeroconf draft

From: "Karen E. Nielsen (AH/TED)" <[email-masked]>
Date: Thu, 9 Sep 2004 09:00:18 +0200

Hi Radhakrishnan,

----- 
>[Karen E. Nielsen (AH/TED)] - The intended meaning of the paragraph is to say:
>"The tunnel protocol must allow for the assignment of at least one
>  globally routable (/128) IPv6 unicast address  to the end-hosts, which the
>end-hosts can use for IPv6 communication through the zero-configuration tunnels."

>Is that clearer ?
 
=> Fairly yes. The meaning is end-host is going to get a IPv6 global address through the established tunnel.
 
[Karen E. Nielsen (AH/TED)] There are no goals as to how exactly the end-host should
acquire the address  - it is not a _goal_ that the address must be allocated through the established tunnel, but I know
of many solutions that do it that way.
 
>section 6.8
>=> does NUD (in section 3.8 in RFC 2893) helps? or does it help NOT having it for sake of saving Radio power?
 
>[Karen E. Nielsen (AH/TED)]  NUD should be OK Radio power wise. The reason NUD is not explicitly >referred to in Section 6.8, but unicast NS/NA exchanges are, is that by NUD one tends to understand the >full mechanism described in Section 7.3 of RFC 2461, and this requires link-local multicast support - >which we do not explicitly assume/require. Further there may be issues with NUD if it is required to be >performed by the tunnel servers, as NUD on routers is susceptible to DoS attacks.

=>Thats why i stated section 3.8 in RFC 2893. Cant we make it that explicit?
I am trying to see if we can make zeroconf fall in-line with whats stated in RFC 2893 which is about "Transition Mechanisms for IPv6 hosts and Routers".
 
[Karen E. Nielsen (AH/TED)] No we can not use RFC2893, well perhaps we could have, but RFC 2893 is in the process of
being deprecated - and the corresponding section, Section 3.8, in
its replacement, http://www.ietf.org/internet-drafts/draft-ietf-v6ops-mech-v2-06.txt <http://www.ietf.org/internet-drafts/draft-ietf-v6ops-mech-v2-06.txt> , does not apply as it speaks about configured tunnels with point-to-point link capabilities (including link-local multicast) and I see not explicit requirements for zero-conf to
provide this - do you ?
 
Thanks, Karen

---

From: Radhakrishnan Suryanarayanan <[email-masked]>
Date: Thu, 09 Sep 2004 12:47:04 +0530

Hi Karen,
  Fair. Thanks a lot for clarifying. :-)

Regards
Radhakrishnan
  ----- Original Message ----- 
  From: Karen E. Nielsen (AH/TED) 
  To: 'Radhakrishnan Suryanarayanan' 
  Cc: V6OPS WG 
  Sent: Thursday, September 09, 2004 12:30 PM
  Subject: RE: Comments on zeroconf draft

  Hi Radhakrishnan,
    ----- 

     

     
    [Karen E. Nielsen (AH/TED)] No we can not use RFC2893, well perhaps we could have, but RFC 2893 is in the process of
    being deprecated - and the corresponding section, Section 3.8, in
    its replacement, http://www.ietf.org/internet-drafts/draft-ietf-v6ops-mech-v2-06.txt, does not apply as it speaks about configured tunnels with point-to-point link capabilities (including link-local multicast) and I see not explicit requirements for zero-conf to
    provide this - do you ?

    Thanks, Karen